I'd appreciate some advice please.

We are rolling out Novell Client 4.91SP2 in a couple of weeks with
plans to upgrade from ZFD 3.2 to 7.0 some time afterwards. Can I
include the ZFD 7 agent with my client rollout and expect it to work OK
with the 3.2 backend? I've installed it manually on a workstation and
the NAL apps from 3.2 appear OK.